xsetwacom(4x)

NAME

xsetwacom - commandline utility to query and modify linuxwacom driver settings.

SYNOPSIS

xsetwacom [options] command [device_name] [parameter] [value]

DESCRIPTION

This program queries or changes properties on the devices loaded by the linuxwacom driver. The modification of properties happens at runtime and is not persistent through X server restarts.

GENERAL OPTIONS

-d, --display display_name
    Connect to the X server specified in display_name; see X manpage.

-h, --help
    Prints a short help.

-v, --verbose
    Enable verbose output, useful for debugging.

-V, --version
    Display version number and exit.

COMMANDS

Allowed commands are list, get, and set. The command may be specified with our without one or two preceding dashes, i.e. --list is equivalent to -list and list.

  LIST COMMANDS

list dev
    List known devices. Only input devices managed by the linuxwacom driver are listed.

list param
    List known parameters. List all parameters suitable for the get or the set command. Note that not all parameters are available on all device types.

list mods
    List the available list of modifiers to be used when setting key or button actions.

  GET COMMANDS

get device_name parameter
    Get the current settings for the parameter on the given device. Note that not all parameters are available on all device types. The special parameter name "all" may be provided to display all current settings on the device.

By default, options are printed on the commandline in the respective format.
    The output format may be altered with one of the following options:

-s, --shell
    Display the output in shell format, i.e. as shell commands to xsetwacom to reproduce the same parameter.

-x, --xconf
    Display the output in xorg.conf format, i.e. as option lines that may be added to the InputDevice section in the xorg.conf.

  SET COMMANDS

set device_name parameter value
    Set the parameter value on the given device to the value provided. Note that not all parameters are writable, some are read-only and result in an error when trying to be modified.

AUTHORS
Peter Hutterer <peter.hutterer@redhat.com>

SEE ALSO
X(7), wacom(4x), xorg.conf(1x), Xserver(1x)